/*
    Programiranje(C) - 2. veljace 2004. [Matko Botincan]
    ----------
    1. zadatak
*/

#include <stdio.h>
#include <stdlib.h>

void check(void* p) {
    if(p == NULL) {
        printf("Greska u alokaciji memorije!\n");
        exit(1);
    }   
}

void unos(int** A, int n) {
    int i, j;
    for(i=0; i<n; i++)
        for(j=0; j<n; j++) {
            printf("A[%d][%d]=", i, j);
            scanf("%d", &A[i][j]);
        }
}

int mat(int** A, int n, int d) {
    int i, j, cnt=0;
    for(i=0; i<n; i++)
        for(j=0; j<n; j++)
            if(i!=j && n-1-i!=j && A[i][j]%d)
                ++cnt;
    return cnt;
}

int main() {
    int n, i, d;
    int** A;
    
    printf("Unesite red matrice A: ");
    scanf("%d", &n);

    A=(int**)malloc(n*sizeof(int*));
    check(A);
    for(i=0; i<n; i++) {
        A[i]=(int*)malloc(n*sizeof(int));
        check(A[i]);
    }
    printf("\n");
    unos(A, n);
    printf("\n");

    printf("Unesite d: ");
    scanf("%d", &d);
    printf("-> %d\n", mat(A, n, d));

    for(i=0; i<n; i++)
        free(A[i]);
    free(A);
    
    return 0;
}
